SND_PCM_HW_CONSTRAIN(9)

NAME
snd_pcm_hw_constraint_pow2 - add a hw constraint power-of-2 rule

SYNOPSIS

int snd_pcm_hw_constraint_pow2(struct snd_pcm_runtime * runtime, unsigned int cond, snd_pcm_hw_param_t var);

ARGUMENTS

runtime
    PCM runtime instance

cond
    condition bits

var
    hw_params variable to apply the power-of-2 constraint

RETURN

Zero if successful, or a negative error code on failure.

COPYRIGHT